'use strict';

var angular = require('angular');
require('../modules');

var module = angular.module('dbsy.services');

module.factory('dbsyService', function(BaseDataServiceFactory) {
  var DbsyService = BaseDataServiceFactory.generate({
    name: 'dbsy',
    baseUrl: '/dbsy',
    idPropertyName: 'id'
  });
  
  DbsyService.getItemId = function(item) {
    return item.dbsy? item.dbsy.id : item.id;
  };

  return DbsyService;
});
